Subject: Re: [GSoC][Proposal RFC] Consolidate ref-related functionality into git-refs

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 3 Apr 2025 12:28:06 +0200

On Thu, Apr 03, 2025 at 03:35:09PM +0530, Meet Soni wrote:
> On Wed, 2 Apr 2025 at 13:51, Patrick Steinhardt <[email-masked]> wrote:
> > On Tue, Apr 01, 2025 at 07:07:21AM +0530, Meet Soni wrote:
> > >     2. Tests:
> > >       Develop comprehensive tests to verify that the new subcommands function as
> > >       expected. This will involve creating a range of tests, including shell
> > >       scripts and/or unit tests located in the t/ directory. For the existing
> > >       tests covering the legacy commands targeted for consolidation, the plan is
> > >       to retain them initially—even if this results in some duplication—with the
> > >       intention of deprecating them gradually over time.
> > >     3. Update old usage:
> > >       Modify all call sites of the legacy commands to invoke the newly created
> > >       subcommands, ensuring a smooth transition and seamless integration with
> > >       the consolidated command.
> >
> > This would be nice indeed, but it's not necessary as part of the GSoC
> > project from my point of view. The old commands won't go away anytime
> > soon as they are extensively used in scripts outside of our control.
> >
> I wonder if this is a better candidate for "Post GSoC" section maybe?

Potentially, yeah. It doesn't really have to be part of the proposal in
the first place from my point of view, but having a section about future
work after the GSoC wouldn't hurt, either.

> > > I think if permitted to start early, I can consolidate one more command within
> > > the GSoC period.
> >
> > We cannot keep you from doing this, but please keep in mind that if we
> > end up picking a different candidate for this project we would favor
> > their work so that they can successfully finish GSoC. So I would
> > definitely wait until you've been selected before starting to work on
> > anything.
> >
> I completely understand. Just to clarify, I meant that if I'm fortunate enough
> to be selected, I’d be eager to start contributing during the community
> bonding period--only if it's allowed--so that I can try to consolidate one more
> command within the GSoC period.

We won't give you a strict time schedule of "you first do that and then
do that". Only thing that I'd like to avoid is that you're basically
already done before the project starts ;)

I'd just define these additinoal subcommands as stretch goals and then
it's fine.

Patrick